
## What is the USB repair stick?

The USB stick is a helper to create a repair system on a USB stick.

This is highly recommended if you have no system backup as image that can restore a complete system.

## First run

Execute as local user

```
./updateusb.sh
     _________________________________________________________________________
____/

        Create/ Update Repair System
                                                                          ____
_________________________________________________________________________/


    WELCOME!

    This is a helper to create a repair system on a USB stick.

    With the repair system you can connect the backup repository if
    your system crashed and you have no local data anymore.

    💡 Hint:
    This is highly recommended if you have no system backup as image
    that can restore a complete system.

Do you have a system backup as image? [y/N] 
```

If you have a system backup as image, you can press `y`. Your information will be stored that you don't get the same question again.

```txt
Do you have a system backup as image? [y/N] y
OK, I won't disturb you again.
Creating [logs/last_sync2usb_skip] ...
Bye.
```

If you have no system backup as image, press `N` or just return. Then it will initialize the USB repair stick which is an rsync of the local il-backup directory including settings and logs to the USB stick. The USB stick won't be formated/ deleted - all its current data will be kept.

The mounted usb drives will be shown.

```txt

USB drive found.

I expect that you added a usb drive where to sync the backup client.
    Onto the stick the backup client directory will be copied.
    You don't lose any data that are already there.

Select a target path (column Mounted on)

    Filesystem      Size  Used Avail Use% Mounted on
    /dev/sde1       124G   33G   92G  27% /run/media/axel/Ventoy

Enter target path: 
```

You need to enter the target path where to sync the iml-backup client and press return.

Remark: I would mark it with the mouse and insert it it with the middle mouse key.

```txt
Enter target path: /run/media/axel/Ventoy
    Sync target: /run/media/axel/Ventoy/linux-pc__user__axel

Please confirm - store the backup client in this path? [y/N] 
```

After entering it the hostname and username will be added as final target directory. Confirm it to start the initial sync.

```txt
--- Syncing to USB stick [/run/media/axel/Ventoy/linux-pc__user__axel] ...
OK 

The sync was successful.
Unmount your USB stick and put it to a safe place.
```

## Update the USB repair stick?

Execute as local user the same script again.

```txt
./updateusb.sh
```

It shows the time since last sync. If the stick is found it will immediately start the sync.

```txt
--- Last sync: 54 s ago
-rw-r--r-- 1 axel axel 56 Okt 27 11:46 logs/last_sync2usb

      ___
     |   |
     |___|
    /_____\
    |     |
    | USB |
    |  _  |
    |_/=\_|


    USB drive found.

--- Syncing to USB stick [/run/media/axel/Ventoy/linux-pc__user__axel] ...
OK 

The sync was successful.
Unmount your USB stick and put it to a safe place.
```

If the stick is not mounted yet it will show an error.

```
ERROR: No USB drive found. 
Plug in your recovery usb stick and mount it before trying again.
Onto the stick the backup client directory will be copied.
You don't lose any data that are already there.
```

Insert and mount your stick. Then start `./updateusb.sh` again.